package com.tuoheng.admin.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/21
 */
public enum LegEnum {

    QUERY_IS_FAILED(1220300, "获取数据失败"),
    USER_IS_NOT_EXIST(1220301, "用户为空"),
    DEPT_IS_NOT_EXIST(1220302, "部门不存在"),
    SECTION_ID_IS_NULL(1220303, "航段id为空"),
    SECTION_LIST_IS_NULL(1220304, "航段列表为空"),
    DEPT_SECTION_IS_NOT_EXIST(1220305, "部门关联的航段为空"),
    DEPT_ID_IS_NULL(1220306, "部门及子部门的id为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    LegEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
